Add a lint tool for Scilab's code
[scilab.git] / scilab / modules / io / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # This file must be used under the terms of the CeCILL.
27 # This source file is licensed as described in the file COPYING, which
28 # you should have received as part of this distribution.  The terms
29 # are also available at
30 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
31 #
32
33 ##########
34 ### Makefile included stuff
35 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
36 ##########
37
38
39 VPATH = @srcdir@
40 am__is_gnu_make = { \
41   if test -z '$(MAKELEVEL)'; then \
42     false; \
43   elif test -n '$(MAKE_HOST)'; then \
44     true; \
45   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
46     true; \
47   else \
48     false; \
49   fi; \
50 }
51 am__make_running_with_option = \
52   case $${target_option-} in \
53       ?) ;; \
54       *) echo "am__make_running_with_option: internal error: invalid" \
55               "target option '$${target_option-}' specified" >&2; \
56          exit 1;; \
57   esac; \
58   has_opt=no; \
59   sane_makeflags=$$MAKEFLAGS; \
60   if $(am__is_gnu_make); then \
61     sane_makeflags=$$MFLAGS; \
62   else \
63     case $$MAKEFLAGS in \
64       *\\[\ \   ]*) \
65         bs=\\; \
66         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
67           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
68     esac; \
69   fi; \
70   skip_next=no; \
71   strip_trailopt () \
72   { \
73     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
74   }; \
75   for flg in $$sane_makeflags; do \
76     test $$skip_next = yes && { skip_next=no; continue; }; \
77     case $$flg in \
78       *=*|--*) continue;; \
79         -*I) strip_trailopt 'I'; skip_next=yes;; \
80       -*I?*) strip_trailopt 'I';; \
81         -*O) strip_trailopt 'O'; skip_next=yes;; \
82       -*O?*) strip_trailopt 'O';; \
83         -*l) strip_trailopt 'l'; skip_next=yes;; \
84       -*l?*) strip_trailopt 'l';; \
85       -[dEDm]) skip_next=yes;; \
86       -[JT]) skip_next=yes;; \
87     esac; \
88     case $$flg in \
89       *$$target_option*) has_opt=yes; break;; \
90     esac; \
91   done; \
92   test $$has_opt = yes
93 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
94 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
95 pkgdatadir = $(datadir)/@PACKAGE@
96 pkgincludedir = $(includedir)/@PACKAGE@
97 pkglibdir = $(libdir)/@PACKAGE@
98 pkglibexecdir = $(libexecdir)/@PACKAGE@
99 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
100 install_sh_DATA = $(install_sh) -c -m 644
101 install_sh_PROGRAM = $(install_sh) -c
102 install_sh_SCRIPT = $(install_sh) -c
103 INSTALL_HEADER = $(INSTALL_DATA)
104 transform = $(program_transform_name)
105 NORMAL_INSTALL = :
106 PRE_INSTALL = :
107 POST_INSTALL = :
108 NORMAL_UNINSTALL = :
109 PRE_UNINSTALL = :
110 POST_UNINSTALL = :
111 build_triplet = @build@
112 host_triplet = @host@
113 @NEED_JAVA_TRUE@am__append_1 = java
114 subdir = modules/io
115 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
116 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
117         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
118         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
119         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
120         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
121         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
122         $(top_srcdir)/m4/intel_compiler.m4 \
123         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
124         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
125         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
126         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
127         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
128         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
129         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
130         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
131         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
132         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
133         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
134 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
135         $(ACLOCAL_M4)
136 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
137 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
138 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
139 CONFIG_CLEAN_FILES =
140 CONFIG_CLEAN_VPATH_FILES =
141 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
142 am__vpath_adj = case $$p in \
143     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
144     *) f=$$p;; \
145   esac;
146 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
147 am__install_max = 40
148 am__nobase_strip_setup = \
149   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
150 am__nobase_strip = \
151   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
152 am__nobase_list = $(am__nobase_strip_setup); \
153   for p in $$list; do echo "$$p $$p"; done | \
154   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
155   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
156     if (++n[$$2] == $(am__install_max)) \
157       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
158     END { for (dir in files) print dir, files[dir] }'
159 am__base_list = \
160   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
161   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
162 am__uninstall_files_from_dir = { \
163   test -z "$$files" \
164     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
165     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
166          $(am__cd) "$$dir" && rm -f $$files; }; \
167   }
168 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
169         "$(DESTDIR)$(libsciio_la_etcdir)" \
170         "$(DESTDIR)$(libsciio_la_rootdir)" \
171         "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
172 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
173 libsciio_algo_la_LIBADD =
174 am__dirstamp = $(am__leading_dot)dirstamp
175 am__objects_1 = src/c/libsciio_algo_la-getpidc.lo \
176         src/c/libsciio_algo_la-setenvc.lo \
177         src/c/libsciio_algo_la-systemc.lo \
178         src/c/libsciio_algo_la-getenvc.lo \
179         src/c/libsciio_algo_la-v2cuniterror.lo
180 am__objects_2 = src/cpp/libsciio_algo_la-io_gw.lo \
181         src/cpp/libsciio_algo_la-loadlib.lo \
182         src/cpp/libsciio_algo_la-readwrite.lo
183 am_libsciio_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
184 libsciio_algo_la_OBJECTS = $(am_libsciio_algo_la_OBJECTS)
185 AM_V_lt = $(am__v_lt_@AM_V@)
186 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
187 am__v_lt_0 = --silent
188 am__v_lt_1 = 
189 @MAINTAINER_MODE_FALSE@am_libsciio_algo_la_rpath =
190 @MAINTAINER_MODE_TRUE@am_libsciio_algo_la_rpath =
191 libsciio_la_DEPENDENCIES = libsciio-algo.la
192 am__objects_3 = sci_gateway/c/libsciio_la-sci_read4b.lo \
193         sci_gateway/c/libsciio_la-sci_getio.lo \
194         sci_gateway/c/libsciio_la-sci_readb.lo \
195         sci_gateway/c/libsciio_la-sci_getenv.lo \
196         sci_gateway/c/libsciio_la-sci_writeb.lo \
197         sci_gateway/c/libsciio_la-sci_setenv.lo \
198         sci_gateway/c/libsciio_la-sci_getpid.lo \
199         sci_gateway/c/libsciio_la-sci_write4b.lo
200 am__objects_4 = sci_gateway/cpp/libsciio_la-sci_genlib.lo \
201         sci_gateway/cpp/libsciio_la-sci_file.lo \
202         sci_gateway/cpp/libsciio_la-sci_host.lo \
203         sci_gateway/cpp/libsciio_la-sci_unix.lo \
204         sci_gateway/cpp/libsciio_la-sci_read.lo \
205         sci_gateway/cpp/libsciio_la-sci_write.lo \
206         sci_gateway/cpp/libsciio_la-sci_lib.lo
207 am_libsciio_la_OBJECTS = $(am__objects_3) $(am__objects_4)
208 libsciio_la_OBJECTS = $(am_libsciio_la_OBJECTS)
209 @MAINTAINER_MODE_FALSE@am_libsciio_la_rpath =
210 @MAINTAINER_MODE_TRUE@am_libsciio_la_rpath = -rpath $(pkglibdir)
211 AM_V_P = $(am__v_P_@AM_V@)
212 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
213 am__v_P_0 = false
214 am__v_P_1 = :
215 AM_V_GEN = $(am__v_GEN_@AM_V@)
216 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
217 am__v_GEN_0 = @echo "  GEN     " $@;
218 am__v_GEN_1 = 
219 AM_V_at = $(am__v_at_@AM_V@)
220 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
221 am__v_at_0 = @
222 am__v_at_1 = 
223 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
224 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
225 am__depfiles_maybe = depfiles
226 am__mv = mv -f
227 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
228         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
229 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
230         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
231         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
232         $(AM_CFLAGS) $(CFLAGS)
233 AM_V_CC = $(am__v_CC_@AM_V@)
234 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
235 am__v_CC_0 = @echo "  CC      " $@;
236 am__v_CC_1 = 
237 CCLD = $(CC)
238 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
239         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
240         $(AM_LDFLAGS) $(LDFLAGS) -o $@
241 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
242 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
243 am__v_CCLD_0 = @echo "  CCLD    " $@;
244 am__v_CCLD_1 = 
245 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
246         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
247 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
248         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
249         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
250         $(AM_CXXFLAGS) $(CXXFLAGS)
251 AM_V_CXX = $(am__v_CXX_@AM_V@)
252 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
253 am__v_CXX_0 = @echo "  CXX     " $@;
254 am__v_CXX_1 = 
255 CXXLD = $(CXX)
256 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
257         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
258         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
259 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
260 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
261 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
262 am__v_CXXLD_1 = 
263 SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
264 DIST_SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
265 am__can_run_installinfo = \
266   case $$AM_UPDATE_INFO_DIR in \
267     n|no|NO) false;; \
268     *) (install-info --version) >/dev/null 2>&1;; \
269   esac
270 DATA = $(libsciio_la_etc_DATA) $(libsciio_la_root_DATA) \
271         $(libsciio_la_sci_gateway_DATA)
272 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
273 # Read a list of newline-separated strings from the standard input,
274 # and print each of them once, without duplicates.  Input order is
275 # *not* preserved.
276 am__uniquify_input = $(AWK) '\
277   BEGIN { nonempty = 0; } \
278   { items[$$0] = 1; nonempty = 1; } \
279   END { if (nonempty) { for (i in items) print i; }; } \
280 '
281 # Make sure the list of sources is unique.  This is necessary because,
282 # e.g., the same source file might be shared among _SOURCES variables
283 # for different programs/libraries.
284 am__define_uniq_tagged_files = \
285   list='$(am__tagged_files)'; \
286   unique=`for i in $$list; do \
287     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
288   done | $(am__uniquify_input)`
289 ETAGS = etags
290 CTAGS = ctags
291 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
292         $(top_srcdir)/config/depcomp \
293         $(top_srcdir)/config/mkinstalldirs
294 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
295 ACLOCAL = @ACLOCAL@
296 ALL_LINGUAS = @ALL_LINGUAS@
297 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
298 AMTAR = @AMTAR@
299 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
300 ANT = @ANT@
301 ANTLR = @ANTLR@
302 AR = @AR@
303 ARPACK_LIBS = @ARPACK_LIBS@
304 ASM3 = @ASM3@
305 AUTOCONF = @AUTOCONF@
306 AUTOHEADER = @AUTOHEADER@
307 AUTOMAKE = @AUTOMAKE@
308 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
309 AWK = @AWK@
310 BATIK = @BATIK@
311 BLAS_LIBS = @BLAS_LIBS@
312 CC = @CC@
313 CCACHE = @CCACHE@
314 CCDEPMODE = @CCDEPMODE@
315 CFLAGS = @CFLAGS@
316 CHECKSTYLE = @CHECKSTYLE@
317 COBERTURA = @COBERTURA@
318 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
319 COMMONS_IO = @COMMONS_IO@
320 COMMONS_LOGGING = @COMMONS_LOGGING@
321 CPP = @CPP@
322 CPPFLAGS = @CPPFLAGS@
323 CURL_CFLAGS = @CURL_CFLAGS@
324 CURL_CONFIG = @CURL_CONFIG@
325 CURL_LIBS = @CURL_LIBS@
326 CURL_VERSION = @CURL_VERSION@
327 CXX = @CXX@
328 CXXCPP = @CXXCPP@
329 CXXDEPMODE = @CXXDEPMODE@
330 CXXFLAGS = @CXXFLAGS@
331 CYGPATH_W = @CYGPATH_W@
332 DEFS = @DEFS@
333 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
334 DEPDIR = @DEPDIR@
335 DLLTOOL = @DLLTOOL@
336 DOCBOOK_ROOT = @DOCBOOK_ROOT@
337 DOXYGEN_BIN = @DOXYGEN_BIN@
338 DSYMUTIL = @DSYMUTIL@
339 DUMPBIN = @DUMPBIN@
340 ECHO_C = @ECHO_C@
341 ECHO_N = @ECHO_N@
342 ECHO_T = @ECHO_T@
343 ECJ = @ECJ@
344 EGREP = @EGREP@
345 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
346 EXEEXT = @EXEEXT@
347 F77 = @F77@
348 FFLAGS = @FFLAGS@
349 FFTW3_LIB = @FFTW3_LIB@
350 FFTW_ENABLE = @FFTW_ENABLE@
351 FGREP = @FGREP@
352 FLEXDOCK = @FLEXDOCK@
353 FLIBS = @FLIBS@
354 FOP = @FOP@
355 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
356 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
357 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
358 FREEHEP_IO = @FREEHEP_IO@
359 FREEHEP_UTIL = @FREEHEP_UTIL@
360 GENHTML = @GENHTML@
361 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
362 GIWS_BIN = @GIWS_BIN@
363 GLUEGEN2_RT = @GLUEGEN2_RT@
364 GMSGFMT = @GMSGFMT@
365 GMSGFMT_015 = @GMSGFMT_015@
366 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
367 GREP = @GREP@
368 GUI_ENABLE = @GUI_ENABLE@
369 HAVE_CXX11 = @HAVE_CXX11@
370 HDF5_CFLAGS = @HDF5_CFLAGS@
371 HDF5_LIBS = @HDF5_LIBS@
372 HELP_ENABLE = @HELP_ENABLE@
373 INSTALL = @INSTALL@
374 INSTALL_DATA = @INSTALL_DATA@
375 INSTALL_PROGRAM = @INSTALL_PROGRAM@
376 INSTALL_SCRIPT = @INSTALL_SCRIPT@
377 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
378 INTLLIBS = @INTLLIBS@
379 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
380 JAR = @JAR@
381 JAVA = @JAVA@
382 JAVAC = @JAVAC@
383 JAVAC_DEBUG = @JAVAC_DEBUG@
384 JAVADOC = @JAVADOC@
385 JAVAH = @JAVAH@
386 JAVASCI_ENABLE = @JAVASCI_ENABLE@
387 JAVA_ENABLE = @JAVA_ENABLE@
388 JAVA_G = @JAVA_G@
389 JAVA_HOME = @JAVA_HOME@
390 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
391 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
392 JDB = @JDB@
393 JEUCLID_CORE = @JEUCLID_CORE@
394 JGRAPHX = @JGRAPHX@
395 JHALL = @JHALL@
396 JLATEXMATH = @JLATEXMATH@
397 JLATEXMATH_FOP = @JLATEXMATH_FOP@
398 JOGL2 = @JOGL2@
399 JROSETTA_API = @JROSETTA_API@
400 JROSETTA_ENGINE = @JROSETTA_ENGINE@
401 JUNIT4 = @JUNIT4@
402 LAPACK_LIBS = @LAPACK_LIBS@
403 LCOV = @LCOV@
404 LD = @LD@
405 LDFLAGS = @LDFLAGS@
406 LEX = @LEX@
407 LEXLIB = @LEXLIB@
408 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
409 LIBICONV = @LIBICONV@
410 LIBINTL = @LIBINTL@
411 LIBM = @LIBM@
412 LIBOBJS = @LIBOBJS@
413 LIBS = @LIBS@
414 LIBTOOL = @LIBTOOL@
415 LIPO = @LIPO@
416 LN_S = @LN_S@
417 LOGGING_LEVEL = @LOGGING_LEVEL@
418 LOOKS = @LOOKS@
419 LTLIBICONV = @LTLIBICONV@
420 LTLIBINTL = @LTLIBINTL@
421 LTLIBOBJS = @LTLIBOBJS@
422 MAINT = @MAINT@
423 MAKEINFO = @MAKEINFO@
424 MANIFEST_TOOL = @MANIFEST_TOOL@
425 MATIO_CFLAGS = @MATIO_CFLAGS@
426 MATIO_ENABLE = @MATIO_ENABLE@
427 MATIO_LIBS = @MATIO_LIBS@
428 MKDIR_P = @MKDIR_P@
429 MPI_ENABLE = @MPI_ENABLE@
430 MSGCAT = @MSGCAT@
431 MSGFMT = @MSGFMT@
432 MSGFMT_015 = @MSGFMT_015@
433 MSGMERGE = @MSGMERGE@
434 NM = @NM@
435 NMEDIT = @NMEDIT@
436 OBJDUMP = @OBJDUMP@
437 OBJEXT = @OBJEXT@
438 OCAMLC = @OCAMLC@
439 OCAMLDEP = @OCAMLDEP@
440 OCAMLLEX = @OCAMLLEX@
441 OCAMLOPT = @OCAMLOPT@
442 OCAMLYACC = @OCAMLYACC@
443 OPENMPI_CC = @OPENMPI_CC@
444 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
445 OPENMPI_CXX = @OPENMPI_CXX@
446 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
447 OPENMPI_LIBS = @OPENMPI_LIBS@
448 OPENMP_CFLAGS = @OPENMP_CFLAGS@
449 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
450 OPENMP_ENABLE = @OPENMP_ENABLE@
451 OPENMP_LIBS = @OPENMP_LIBS@
452 OTOOL = @OTOOL@
453 OTOOL64 = @OTOOL64@
454 PACKAGE = @PACKAGE@
455 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
456 PACKAGE_NAME = @PACKAGE_NAME@
457 PACKAGE_STRING = @PACKAGE_STRING@
458 PACKAGE_TARNAME = @PACKAGE_TARNAME@
459 PACKAGE_URL = @PACKAGE_URL@
460 PACKAGE_VERSION = @PACKAGE_VERSION@
461 PATH_SEPARATOR = @PATH_SEPARATOR@
462 PCRE_CFLAGS = @PCRE_CFLAGS@
463 PCRE_CONFIG = @PCRE_CONFIG@
464 PCRE_LIBS = @PCRE_LIBS@
465 PCRE_VERSION = @PCRE_VERSION@
466 PKG_CONFIG = @PKG_CONFIG@
467 POSUB = @POSUB@
468 POW_LIB = @POW_LIB@
469 PYTHON = @PYTHON@
470 RANLIB = @RANLIB@
471 RELOCATABLE = @RELOCATABLE@
472 RT_LIB = @RT_LIB@
473 SAXON = @SAXON@
474 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
475 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
476 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
477 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
478 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
479 SCIRENDERER = @SCIRENDERER@
480 SCIRENDERER_CP = @SCIRENDERER_CP@
481 SCI_CFLAGS = @SCI_CFLAGS@
482 SCI_CXXFLAGS = @SCI_CXXFLAGS@
483 SCI_FFLAGS = @SCI_FFLAGS@
484 SCI_LDFLAGS = @SCI_LDFLAGS@
485 SED = @SED@
486 SET_MAKE = @SET_MAKE@
487 SET_RELOCATABLE = @SET_RELOCATABLE@
488 SHELL = @SHELL@
489 SKINLF = @SKINLF@
490 SPLINT = @SPLINT@
491 STRIP = @STRIP@
492 SWIG_BIN = @SWIG_BIN@
493 SWIG_JAVA = @SWIG_JAVA@
494 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
495 SWIG_SCILAB = @SWIG_SCILAB@
496 TCLTK_LIBS = @TCLTK_LIBS@
497 TCL_INC_PATH = @TCL_INC_PATH@
498 TK_INC_PATH = @TK_INC_PATH@
499 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
500 UMFPACK_ENABLE = @UMFPACK_ENABLE@
501 UMFPACK_LIB = @UMFPACK_LIB@
502 USE_NLS = @USE_NLS@
503 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
504 VALGRIND_LIBS = @VALGRIND_LIBS@
505 VERSION = @VERSION@
506 WITH_OCAML = @WITH_OCAML@
507 WITH_TKSCI = @WITH_TKSCI@
508 XCOS_ENABLE = @XCOS_ENABLE@
509 XGETTEXT = @XGETTEXT@
510 XGETTEXT_015 = @XGETTEXT_015@
511 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
512 XMKMF = @XMKMF@
513 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
514 XML_APIS_EXT = @XML_APIS_EXT@
515 XML_CONFIG = @XML_CONFIG@
516 XML_FLAGS = @XML_FLAGS@
517 XML_LIBS = @XML_LIBS@
518 XML_VERSION = @XML_VERSION@
519 X_CFLAGS = @X_CFLAGS@
520 X_EXTRA_LIBS = @X_EXTRA_LIBS@
521 X_LIBS = @X_LIBS@
522 X_PRE_LIBS = @X_PRE_LIBS@
523 YACC = @YACC@
524 YFLAGS = @YFLAGS@
525 abs_builddir = @abs_builddir@
526 abs_srcdir = @abs_srcdir@
527 abs_top_builddir = @abs_top_builddir@
528 abs_top_srcdir = @abs_top_srcdir@
529 ac_ct_AR = @ac_ct_AR@
530 ac_ct_CC = @ac_ct_CC@
531 ac_ct_CXX = @ac_ct_CXX@
532 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
533 ac_ct_F77 = @ac_ct_F77@
534 am__include = @am__include@
535 am__leading_dot = @am__leading_dot@
536 am__quote = @am__quote@
537 am__tar = @am__tar@
538 am__untar = @am__untar@
539 bindir = @bindir@
540 build = @build@
541 build_alias = @build_alias@
542 build_cpu = @build_cpu@
543 build_os = @build_os@
544 build_vendor = @build_vendor@
545 builddir = @builddir@
546 cxx_present = @cxx_present@
547 datadir = @datadir@
548 datarootdir = @datarootdir@
549 docdir = @docdir@
550 dvidir = @dvidir@
551 exec_prefix = @exec_prefix@
552 host = @host@
553 host_alias = @host_alias@
554 host_cpu = @host_cpu@
555 host_os = @host_os@
556 host_vendor = @host_vendor@
557 htmldir = @htmldir@
558 includedir = @includedir@
559 infodir = @infodir@
560 install_sh = @install_sh@
561 libdir = @libdir@
562 libexecdir = @libexecdir@
563 localedir = @localedir@
564 localstatedir = @localstatedir@
565 mandir = @mandir@
566 mkdir_p = @mkdir_p@
567 oldincludedir = @oldincludedir@
568 pdfdir = @pdfdir@
569 prefix = @prefix@
570 program_transform_name = @program_transform_name@
571 psdir = @psdir@
572 runstatedir = @runstatedir@
573 sbindir = @sbindir@
574 sharedstatedir = @sharedstatedir@
575 srcdir = @srcdir@
576 sysconfdir = @sysconfdir@
577 target_alias = @target_alias@
578 top_build_prefix = @top_build_prefix@
579 top_builddir = @top_builddir@
580 top_srcdir = @top_srcdir@
581 yacc_present = @yacc_present@
582 IO_C_SOURCES = \
583     src/c/getpidc.c \
584     src/c/setenvc.c \
585     src/c/systemc.c \
586     src/c/getenvc.c \
587     src/c/v2cuniterror.c
588
589 IO_CPP_SOURCES = \
590     src/cpp/io_gw.cpp \
591     src/cpp/loadlib.cpp \
592     src/cpp/readwrite.cpp
593
594 GATEWAY_C_SOURCES = \
595     sci_gateway/c/sci_read4b.c \
596     sci_gateway/c/sci_getio.c \
597     sci_gateway/c/sci_readb.c \
598     sci_gateway/c/sci_getenv.c \
599     sci_gateway/c/sci_writeb.c \
600     sci_gateway/c/sci_setenv.c \
601     sci_gateway/c/sci_getpid.c \
602     sci_gateway/c/sci_write4b.c
603
604 GATEWAY_CPP_SOURCES = \
605     sci_gateway/cpp/sci_genlib.cpp \
606     sci_gateway/cpp/sci_file.cpp \
607     sci_gateway/cpp/sci_host.cpp \
608     sci_gateway/cpp/sci_unix.cpp \
609     sci_gateway/cpp/sci_read.cpp \
610     sci_gateway/cpp/sci_write.cpp \
611     sci_gateway/cpp/sci_lib.cpp
612
613 libsciio_la_CPPFLAGS = \
614     -I$(srcdir)/includes/ \
615     -I$(srcdir)/src/c/ \
616     -I$(srcdir)/src/cpp/ \
617     -I$(top_srcdir)/modules/ast/includes/ast/ \
618     -I$(top_srcdir)/modules/ast/includes/exps/ \
619     -I$(top_srcdir)/modules/ast/includes/operations/ \
620     -I$(top_srcdir)/modules/ast/includes/parse/ \
621     -I$(top_srcdir)/modules/ast/includes/symbol/ \
622     -I$(top_srcdir)/modules/ast/includes/system_env/ \
623     -I$(top_srcdir)/modules/ast/includes/types/ \
624     -I$(top_srcdir)/modules/ast/includes/analysis/ \
625     -I$(top_srcdir)/modules/core/includes/ \
626     -I$(top_srcdir)/modules/api_scilab/includes/ \
627     -I$(top_srcdir)/modules/functions_manager/includes/ \
628     -I$(top_srcdir)/modules/elementary_functions/includes/ \
629     -I$(top_srcdir)/modules/fileio/includes/ \
630     -I$(top_srcdir)/modules/string/includes/ \
631     -I$(top_srcdir)/modules/output_stream/includes/ \
632     -I$(top_srcdir)/modules/localization/includes/ \
633     -I$(top_srcdir)/modules/threads/includes/ \
634     -I$(top_srcdir)/modules/dynamic_link/includes \
635     -I$(top_srcdir)/modules/console/includes \
636     -I$(top_srcdir)/modules/hdf5/includes \
637     -I$(top_srcdir)/modules/tclsci/includes \
638     $(XML_FLAGS) \
639     $(AM_CPPFLAGS)
640
641 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciio.la
642 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciio-algo.la libsciio.la
643 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libsciio-algo.la
644 libsciio_algo_la_SOURCES = $(IO_C_SOURCES) $(IO_CPP_SOURCES)
645 libsciio_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
646 libsciio_algo_la_CPPFLAGS = $(libsciio_la_CPPFLAGS)
647
648 # For the code check (splint)
649 CHECK_SRC = $(IO_C_SOURCES) $(GATEWAY_C_SOURCES)
650 INCLUDE_FLAGS = $(libsciio_la_CPPFLAGS)
651 libsciio_la_LIBADD = libsciio-algo.la
652
653 #### Target ######
654 modulename = io
655
656 #### io : Conf files ####
657 libsciio_la_rootdir = $(mydatadir)
658 libsciio_la_root_DATA = license.txt
659
660 ####io : init scripts ####
661 libsciio_la_etcdir = $(mydatadir)/etc
662 libsciio_la_etc_DATA = \
663     etc/io.quit \
664     etc/io.start
665
666
667 ####io : gateway declaration ####
668 libsciio_la_sci_gatewaydir = $(mydatadir)/sci_gateway
669 libsciio_la_sci_gateway_DATA = sci_gateway/io_gateway.xml
670
671 # Where all the Scilab stuff is installed (macros, help, ...)
672 mydatadir = $(pkgdatadir)/modules/$(modulename)
673
674 # Set AM_* SCI detected settings
675 AM_CPPFLAGS = $(SCI_CPPFLAGS)
676 AM_CFLAGS = $(SCI_CFLAGS)
677 AM_CXXFLAGS = $(SCI_CXXFLAGS)
678 # append includes to AM_FFLAGS to manage fortran includes
679 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
680
681 # Tag shared libraries with the Scilab version
682 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
683
684 # splint options
685 SPLINT_OPTIONS = -weak -booltype BOOL
686
687 ########################### JAVA ######################################
688 #### We are delegating java compilation to ant... Thanks to that
689 #### the procedure will be the same with Microsoft Windows (C)
690 #### and Linux/Unix
691 #######################################################################
692 TARGETS_ALL = $(am__append_1)
693
694 ################ MACROS ######################
695 # Rule to build a macro
696 # NOT USED  AT THE MOMENT
697 SUFFIXES = .sci
698
699 ########### INSTALL DOCUMENTATION ###################
700
701 # Install documentation files into the right target
702 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
703 # automake needs the html files to be present which is not the case when
704 # we are building Scilab
705
706 # Where it should be installed
707 pkgdocdir = $(mydatadir)
708
709 # What is the mask of the help source
710 DOCMASKXML = *.xml
711
712 # What is the mask of the MathML sources
713 DOCMASKMML = *.mml
714
715 ########### INSTALL DATA ###################
716 # Install macros, help & demos
717 # Where it should be installed
718 pkgmacrosdir = $(mydatadir)
719 # Which directory we process
720 MACRODIRS = macros/
721 # Mask of the Scilab sources macros
722 MACROMASK = *.sci
723 # Mask of the Scilab executable sources macros
724 MACROBUILDMASK = *.sce
725 # Mask of the Scilab compiled macros
726 MACROBINMASK = *.bin
727 # List of the standard directory for tests
728 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
729 # Where the demos should be installed
730 pkgdemosdir = $(mydatadir)
731 # List of the standard directory for demos
732 DEMOS_DIR = demos
733 # List of the standard directory for examples
734 EXAMPLES_DIR = examples
735 # Where to export JAVA archives (.jar)
736 JARDIR = jar/
737 # JAR files mask
738 JARMASK = *.jar
739 # Chapter file
740 HELP_CHAPTERDIR = help/
741 HELP_CHAPTERFILE = addchapter.sce
742 HELP_CHAPTERLANG = en_US fr_FR pt_BR
743 all: all-am
744
745 .SUFFIXES:
746 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
747 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
748         @for dep in $?; do \
749           case '$(am__configure_deps)' in \
750             *$$dep*) \
751               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
752                 && { if test -f $@; then exit 0; else break; fi; }; \
753               exit 1;; \
754           esac; \
755         done; \
756         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/io/Makefile'; \
757         $(am__cd) $(top_srcdir) && \
758           $(AUTOMAKE) --foreign modules/io/Makefile
759 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
760         @case '$?' in \
761           *config.status*) \
762             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
763           *) \
764             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
765             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
766         esac;
767 $(top_srcdir)/Makefile.incl.am $(am__empty):
768
769 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
770         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
771
772 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
773         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
774 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
775         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
776 $(am__aclocal_m4_deps):
777
778 clean-noinstLTLIBRARIES:
779         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
780         @list='$(noinst_LTLIBRARIES)'; \
781         locs=`for p in $$list; do echo $$p; done | \
782               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
783               sort -u`; \
784         test -z "$$locs" || { \
785           echo rm -f $${locs}; \
786           rm -f $${locs}; \
787         }
788
789 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
790         @$(NORMAL_INSTALL)
791         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
792         list2=; for p in $$list; do \
793           if test -f $$p; then \
794             list2="$$list2 $$p"; \
795           else :; fi; \
796         done; \
797         test -z "$$list2" || { \
798           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
799           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
800           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
801           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
802         }
803
804 uninstall-pkglibLTLIBRARIES:
805         @$(NORMAL_UNINSTALL)
806         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
807         for p in $$list; do \
808           $(am__strip_dir) \
809           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
810           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
811         done
812
813 clean-pkglibLTLIBRARIES:
814         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
815         @list='$(pkglib_LTLIBRARIES)'; \
816         locs=`for p in $$list; do echo $$p; done | \
817               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
818               sort -u`; \
819         test -z "$$locs" || { \
820           echo rm -f $${locs}; \
821           rm -f $${locs}; \
822         }
823 src/c/$(am__dirstamp):
824         @$(MKDIR_P) src/c
825         @: > src/c/$(am__dirstamp)
826 src/c/$(DEPDIR)/$(am__dirstamp):
827         @$(MKDIR_P) src/c/$(DEPDIR)
828         @: > src/c/$(DEPDIR)/$(am__dirstamp)
829 src/c/libsciio_algo_la-getpidc.lo: src/c/$(am__dirstamp) \
830         src/c/$(DEPDIR)/$(am__dirstamp)
831 src/c/libsciio_algo_la-setenvc.lo: src/c/$(am__dirstamp) \
832         src/c/$(DEPDIR)/$(am__dirstamp)
833 src/c/libsciio_algo_la-systemc.lo: src/c/$(am__dirstamp) \
834         src/c/$(DEPDIR)/$(am__dirstamp)
835 src/c/libsciio_algo_la-getenvc.lo: src/c/$(am__dirstamp) \
836         src/c/$(DEPDIR)/$(am__dirstamp)
837 src/c/libsciio_algo_la-v2cuniterror.lo: src/c/$(am__dirstamp) \
838         src/c/$(DEPDIR)/$(am__dirstamp)
839 src/cpp/$(am__dirstamp):
840         @$(MKDIR_P) src/cpp
841         @: > src/cpp/$(am__dirstamp)
842 src/cpp/$(DEPDIR)/$(am__dirstamp):
843         @$(MKDIR_P) src/cpp/$(DEPDIR)
844         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
845 src/cpp/libsciio_algo_la-io_gw.lo: src/cpp/$(am__dirstamp) \
846         src/cpp/$(DEPDIR)/$(am__dirstamp)
847 src/cpp/libsciio_algo_la-loadlib.lo: src/cpp/$(am__dirstamp) \
848         src/cpp/$(DEPDIR)/$(am__dirstamp)
849 src/cpp/libsciio_algo_la-readwrite.lo: src/cpp/$(am__dirstamp) \
850         src/cpp/$(DEPDIR)/$(am__dirstamp)
851
852 libsciio-algo.la: $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_DEPENDENCIES) $(EXTRA_libsciio_algo_la_DEPENDENCIES) 
853         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciio_algo_la_rpath) $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_LIBADD) $(LIBS)
854 sci_gateway/c/$(am__dirstamp):
855         @$(MKDIR_P) sci_gateway/c
856         @: > sci_gateway/c/$(am__dirstamp)
857 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
858         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
859         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
860 sci_gateway/c/libsciio_la-sci_read4b.lo:  \
861         sci_gateway/c/$(am__dirstamp) \
862         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
863 sci_gateway/c/libsciio_la-sci_getio.lo: sci_gateway/c/$(am__dirstamp) \
864         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
865 sci_gateway/c/libsciio_la-sci_readb.lo: sci_gateway/c/$(am__dirstamp) \
866         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
867 sci_gateway/c/libsciio_la-sci_getenv.lo:  \
868         sci_gateway/c/$(am__dirstamp) \
869         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
870 sci_gateway/c/libsciio_la-sci_writeb.lo:  \
871         sci_gateway/c/$(am__dirstamp) \
872         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
873 sci_gateway/c/libsciio_la-sci_setenv.lo:  \
874         sci_gateway/c/$(am__dirstamp) \
875         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
876 sci_gateway/c/libsciio_la-sci_getpid.lo:  \
877         sci_gateway/c/$(am__dirstamp) \
878         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
879 sci_gateway/c/libsciio_la-sci_write4b.lo:  \
880         sci_gateway/c/$(am__dirstamp) \
881         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
882 sci_gateway/cpp/$(am__dirstamp):
883         @$(MKDIR_P) sci_gateway/cpp
884         @: > sci_gateway/cpp/$(am__dirstamp)
885 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
886         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
887         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
888 sci_gateway/cpp/libsciio_la-sci_genlib.lo:  \
889         sci_gateway/cpp/$(am__dirstamp) \
890         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
891 sci_gateway/cpp/libsciio_la-sci_file.lo:  \
892         sci_gateway/cpp/$(am__dirstamp) \
893         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
894 sci_gateway/cpp/libsciio_la-sci_host.lo:  \
895         sci_gateway/cpp/$(am__dirstamp) \
896         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
897 sci_gateway/cpp/libsciio_la-sci_unix.lo:  \
898         sci_gateway/cpp/$(am__dirstamp) \
899         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
900 sci_gateway/cpp/libsciio_la-sci_read.lo:  \
901         sci_gateway/cpp/$(am__dirstamp) \
902         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
903 sci_gateway/cpp/libsciio_la-sci_write.lo:  \
904         sci_gateway/cpp/$(am__dirstamp) \
905         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
906 sci_gateway/cpp/libsciio_la-sci_lib.lo:  \
907         sci_gateway/cpp/$(am__dirstamp) \
908         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
909
910 libsciio.la: $(libsciio_la_OBJECTS) $(libsciio_la_DEPENDENCIES) $(EXTRA_libsciio_la_DEPENDENCIES) 
911         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciio_la_rpath) $(libsciio_la_OBJECTS) $(libsciio_la_LIBADD) $(LIBS)
912
913 mostlyclean-compile:
914         -rm -f *.$(OBJEXT)
915         -rm -f sci_gateway/c/*.$(OBJEXT)
916         -rm -f sci_gateway/c/*.lo
917         -rm -f sci_gateway/cpp/*.$(OBJEXT)
918         -rm -f sci_gateway/cpp/*.lo
919         -rm -f src/c/*.$(OBJEXT)
920         -rm -f src/c/*.lo
921         -rm -f src/cpp/*.$(OBJEXT)
922         -rm -f src/cpp/*.lo
923
924 distclean-compile:
925         -rm -f *.tab.c
926
927 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getenv.Plo@am__quote@
928 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getio.Plo@am__quote@
929 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getpid.Plo@am__quote@
930 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_read4b.Plo@am__quote@
931 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_readb.Plo@am__quote@
932 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_setenv.Plo@am__quote@
933 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_write4b.Plo@am__quote@
934 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_writeb.Plo@am__quote@
935 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_file.Plo@am__quote@
936 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_genlib.Plo@am__quote@
937 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_host.Plo@am__quote@
938 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_lib.Plo@am__quote@
939 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_read.Plo@am__quote@
940 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_unix.Plo@am__quote@
941 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_write.Plo@am__quote@
942 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciio_algo_la-getenvc.Plo@am__quote@
943 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciio_algo_la-getpidc.Plo@am__quote@
944 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciio_algo_la-setenvc.Plo@am__quote@
945 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciio_algo_la-systemc.Plo@am__quote@
946 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo@am__quote@
947 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciio_algo_la-io_gw.Plo@am__quote@
948 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciio_algo_la-loadlib.Plo@am__quote@
949 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciio_algo_la-readwrite.Plo@am__quote@
950
951 .c.o:
952 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
953 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
954 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
955 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
956 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
957 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
958
959 .c.obj:
960 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
961 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
962 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
963 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
964 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
965 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
966
967 .c.lo:
968 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
969 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
970 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
971 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
972 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
973 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
974
975 src/c/libsciio_algo_la-getpidc.lo: src/c/getpidc.c
976 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciio_algo_la-getpidc.lo -MD -MP -MF src/c/$(DEPDIR)/libsciio_algo_la-getpidc.Tpo -c -o src/c/libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
977 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciio_algo_la-getpidc.Tpo src/c/$(DEPDIR)/libsciio_algo_la-getpidc.Plo
978 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getpidc.c' object='src/c/libsciio_algo_la-getpidc.lo' libtool=yes @AMDEPBACKSLASH@
979 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
980 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
981
982 src/c/libsciio_algo_la-setenvc.lo: src/c/setenvc.c
983 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciio_algo_la-setenvc.lo -MD -MP -MF src/c/$(DEPDIR)/libsciio_algo_la-setenvc.Tpo -c -o src/c/libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
984 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciio_algo_la-setenvc.Tpo src/c/$(DEPDIR)/libsciio_algo_la-setenvc.Plo
985 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setenvc.c' object='src/c/libsciio_algo_la-setenvc.lo' libtool=yes @AMDEPBACKSLASH@
986 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
987 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
988
989 src/c/libsciio_algo_la-systemc.lo: src/c/systemc.c
990 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciio_algo_la-systemc.lo -MD -MP -MF src/c/$(DEPDIR)/libsciio_algo_la-systemc.Tpo -c -o src/c/libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
991 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciio_algo_la-systemc.Tpo src/c/$(DEPDIR)/libsciio_algo_la-systemc.Plo
992 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/systemc.c' object='src/c/libsciio_algo_la-systemc.lo' libtool=yes @AMDEPBACKSLASH@
993 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
994 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
995
996 src/c/libsciio_algo_la-getenvc.lo: src/c/getenvc.c
997 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciio_algo_la-getenvc.lo -MD -MP -MF src/c/$(DEPDIR)/libsciio_algo_la-getenvc.Tpo -c -o src/c/libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
998 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciio_algo_la-getenvc.Tpo src/c/$(DEPDIR)/libsciio_algo_la-getenvc.Plo
999 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getenvc.c' object='src/c/libsciio_algo_la-getenvc.lo' libtool=yes @AMDEPBACKSLASH@
1000 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1001 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
1002
1003 src/c/libsciio_algo_la-v2cuniterror.lo: src/c/v2cuniterror.c
1004 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciio_algo_la-v2cuniterror.lo -MD -MP -MF src/c/$(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo -c -o src/c/libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
1005 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo src/c/$(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo
1006 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/v2cuniterror.c' object='src/c/libsciio_algo_la-v2cuniterror.lo' libtool=yes @AMDEPBACKSLASH@
1007 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1008 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
1009
1010 sci_gateway/c/libsciio_la-sci_read4b.lo: sci_gateway/c/sci_read4b.c
1011 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_read4b.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_read4b.Tpo -c -o sci_gateway/c/libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
1012 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_read4b.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_read4b.Plo
1013 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_read4b.c' object='sci_gateway/c/libsciio_la-sci_read4b.lo' libtool=yes @AMDEPBACKSLASH@
1014 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1015 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
1016
1017 sci_gateway/c/libsciio_la-sci_getio.lo: sci_gateway/c/sci_getio.c
1018 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_getio.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getio.Tpo -c -o sci_gateway/c/libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
1019 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getio.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getio.Plo
1020 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getio.c' object='sci_gateway/c/libsciio_la-sci_getio.lo' libtool=yes @AMDEPBACKSLASH@
1021 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1022 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
1023
1024 sci_gateway/c/libsciio_la-sci_readb.lo: sci_gateway/c/sci_readb.c
1025 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_readb.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_readb.Tpo -c -o sci_gateway/c/libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
1026 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_readb.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_readb.Plo
1027 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_readb.c' object='sci_gateway/c/libsciio_la-sci_readb.lo' libtool=yes @AMDEPBACKSLASH@
1028 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1029 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
1030
1031 sci_gateway/c/libsciio_la-sci_getenv.lo: sci_gateway/c/sci_getenv.c
1032 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_getenv.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getenv.Tpo -c -o sci_gateway/c/libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
1033 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getenv.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getenv.Plo
1034 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getenv.c' object='sci_gateway/c/libsciio_la-sci_getenv.lo' libtool=yes @AMDEPBACKSLASH@
1035 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1036 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
1037
1038 sci_gateway/c/libsciio_la-sci_writeb.lo: sci_gateway/c/sci_writeb.c
1039 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_writeb.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_writeb.Tpo -c -o sci_gateway/c/libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
1040 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_writeb.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_writeb.Plo
1041 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_writeb.c' object='sci_gateway/c/libsciio_la-sci_writeb.lo' libtool=yes @AMDEPBACKSLASH@
1042 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1043 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
1044
1045 sci_gateway/c/libsciio_la-sci_setenv.lo: sci_gateway/c/sci_setenv.c
1046 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_setenv.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_setenv.Tpo -c -o sci_gateway/c/libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
1047 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_setenv.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_setenv.Plo
1048 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_setenv.c' object='sci_gateway/c/libsciio_la-sci_setenv.lo' libtool=yes @AMDEPBACKSLASH@
1049 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1050 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
1051
1052 sci_gateway/c/libsciio_la-sci_getpid.lo: sci_gateway/c/sci_getpid.c
1053 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_getpid.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getpid.Tpo -c -o sci_gateway/c/libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
1054 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getpid.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getpid.Plo
1055 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getpid.c' object='sci_gateway/c/libsciio_la-sci_getpid.lo' libtool=yes @AMDEPBACKSLASH@
1056 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1057 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
1058
1059 sci_gateway/c/libsciio_la-sci_write4b.lo: sci_gateway/c/sci_write4b.c
1060 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_write4b.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_write4b.Tpo -c -o sci_gateway/c/libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
1061 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_write4b.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_write4b.Plo
1062 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_write4b.c' object='sci_gateway/c/libsciio_la-sci_write4b.lo' libtool=yes @AMDEPBACKSLASH@
1063 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1064 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
1065
1066 .cpp.o:
1067 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1068 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1069 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1070 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1071 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1072 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1073
1074 .cpp.obj:
1075 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1076 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1077 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1078 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1079 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1080 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1081
1082 .cpp.lo:
1083 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1084 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1085 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1086 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1087 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1088 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1089
1090 src/cpp/libsciio_algo_la-io_gw.lo: src/cpp/io_gw.cpp
1091 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciio_algo_la-io_gw.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciio_algo_la-io_gw.Tpo -c -o src/cpp/libsciio_algo_la-io_gw.lo `test -f 'src/cpp/io_gw.cpp' || echo '$(srcdir)/'`src/cpp/io_gw.cpp
1092 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciio_algo_la-io_gw.Tpo src/cpp/$(DEPDIR)/libsciio_algo_la-io_gw.Plo
1093 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/io_gw.cpp' object='src/cpp/libsciio_algo_la-io_gw.lo' libtool=yes @AMDEPBACKSLASH@
1094 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1095 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciio_algo_la-io_gw.lo `test -f 'src/cpp/io_gw.cpp' || echo '$(srcdir)/'`src/cpp/io_gw.cpp
1096
1097 src/cpp/libsciio_algo_la-loadlib.lo: src/cpp/loadlib.cpp
1098 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciio_algo_la-loadlib.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciio_algo_la-loadlib.Tpo -c -o src/cpp/libsciio_algo_la-loadlib.lo `test -f 'src/cpp/loadlib.cpp' || echo '$(srcdir)/'`src/cpp/loadlib.cpp
1099 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciio_algo_la-loadlib.Tpo src/cpp/$(DEPDIR)/libsciio_algo_la-loadlib.Plo
1100 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/loadlib.cpp' object='src/cpp/libsciio_algo_la-loadlib.lo' libtool=yes @AMDEPBACKSLASH@
1101 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1102 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciio_algo_la-loadlib.lo `test -f 'src/cpp/loadlib.cpp' || echo '$(srcdir)/'`src/cpp/loadlib.cpp
1103
1104 src/cpp/libsciio_algo_la-readwrite.lo: src/cpp/readwrite.cpp
1105 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciio_algo_la-readwrite.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciio_algo_la-readwrite.Tpo -c -o src/cpp/libsciio_algo_la-readwrite.lo `test -f 'src/cpp/readwrite.cpp' || echo '$(srcdir)/'`src/cpp/readwrite.cpp
1106 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciio_algo_la-readwrite.Tpo src/cpp/$(DEPDIR)/libsciio_algo_la-readwrite.Plo
1107 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/readwrite.cpp' object='src/cpp/libsciio_algo_la-readwrite.lo' libtool=yes @AMDEPBACKSLASH@
1108 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1109 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciio_algo_la-readwrite.lo `test -f 'src/cpp/readwrite.cpp' || echo '$(srcdir)/'`src/cpp/readwrite.cpp
1110
1111 sci_gateway/cpp/libsciio_la-sci_genlib.lo: sci_gateway/cpp/sci_genlib.cpp
1112 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_genlib.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_genlib.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_genlib.lo `test -f 'sci_gateway/cpp/sci_genlib.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_genlib.cpp
1113 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_genlib.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_genlib.Plo
1114 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_genlib.cpp' object='sci_gateway/cpp/libsciio_la-sci_genlib.lo' libtool=yes @AMDEPBACKSLASH@
1115 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1116 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_genlib.lo `test -f 'sci_gateway/cpp/sci_genlib.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_genlib.cpp
1117
1118 sci_gateway/cpp/libsciio_la-sci_file.lo: sci_gateway/cpp/sci_file.cpp
1119 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_file.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_file.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_file.lo `test -f 'sci_gateway/cpp/sci_file.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_file.cpp
1120 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_file.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_file.Plo
1121 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_file.cpp' object='sci_gateway/cpp/libsciio_la-sci_file.lo' libtool=yes @AMDEPBACKSLASH@
1122 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1123 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_file.lo `test -f 'sci_gateway/cpp/sci_file.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_file.cpp
1124
1125 sci_gateway/cpp/libsciio_la-sci_host.lo: sci_gateway/cpp/sci_host.cpp
1126 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_host.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_host.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_host.lo `test -f 'sci_gateway/cpp/sci_host.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_host.cpp
1127 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_host.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_host.Plo
1128 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_host.cpp' object='sci_gateway/cpp/libsciio_la-sci_host.lo' libtool=yes @AMDEPBACKSLASH@
1129 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1130 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_host.lo `test -f 'sci_gateway/cpp/sci_host.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_host.cpp
1131
1132 sci_gateway/cpp/libsciio_la-sci_unix.lo: sci_gateway/cpp/sci_unix.cpp
1133 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_unix.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_unix.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_unix.lo `test -f 'sci_gateway/cpp/sci_unix.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_unix.cpp
1134 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_unix.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_unix.Plo
1135 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_unix.cpp' object='sci_gateway/cpp/libsciio_la-sci_unix.lo' libtool=yes @AMDEPBACKSLASH@
1136 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1137 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_unix.lo `test -f 'sci_gateway/cpp/sci_unix.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_unix.cpp
1138
1139 sci_gateway/cpp/libsciio_la-sci_read.lo: sci_gateway/cpp/sci_read.cpp
1140 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_read.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_read.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_read.lo `test -f 'sci_gateway/cpp/sci_read.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_read.cpp
1141 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_read.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_read.Plo
1142 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_read.cpp' object='sci_gateway/cpp/libsciio_la-sci_read.lo' libtool=yes @AMDEPBACKSLASH@
1143 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1144 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_read.lo `test -f 'sci_gateway/cpp/sci_read.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_read.cpp
1145
1146 sci_gateway/cpp/libsciio_la-sci_write.lo: sci_gateway/cpp/sci_write.cpp
1147 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_write.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_write.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_write.lo `test -f 'sci_gateway/cpp/sci_write.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_write.cpp
1148 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_write.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_write.Plo
1149 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_write.cpp' object='sci_gateway/cpp/libsciio_la-sci_write.lo' libtool=yes @AMDEPBACKSLASH@
1150 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1151 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_write.lo `test -f 'sci_gateway/cpp/sci_write.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_write.cpp
1152
1153 sci_gateway/cpp/libsciio_la-sci_lib.lo: sci_gateway/cpp/sci_lib.cpp
1154 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_lib.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_lib.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_lib.lo `test -f 'sci_gateway/cpp/sci_lib.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_lib.cpp
1155 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_lib.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_lib.Plo
1156 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_lib.cpp' object='sci_gateway/cpp/libsciio_la-sci_lib.lo' libtool=yes @AMDEPBACKSLASH@
1157 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1158 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_lib.lo `test -f 'sci_gateway/cpp/sci_lib.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_lib.cpp
1159
1160 mostlyclean-libtool:
1161         -rm -f *.lo
1162
1163 clean-libtool:
1164         -rm -rf .libs _libs
1165         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1166         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1167         -rm -rf src/c/.libs src/c/_libs
1168         -rm -rf src/cpp/.libs src/cpp/_libs
1169 install-libsciio_la_etcDATA: $(libsciio_la_etc_DATA)
1170         @$(NORMAL_INSTALL)
1171         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
1172         if test -n "$$list"; then \
1173           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_etcdir)'"; \
1174           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_etcdir)" || exit 1; \
1175         fi; \
1176         for p in $$list; do \
1177           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1178           echo "$$d$$p"; \
1179         done | $(am__base_list) | \
1180         while read files; do \
1181           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_etcdir)'"; \
1182           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_etcdir)" || exit $$?; \
1183         done
1184
1185 uninstall-libsciio_la_etcDATA:
1186         @$(NORMAL_UNINSTALL)
1187         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
1188         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1189         dir='$(DESTDIR)$(libsciio_la_etcdir)'; $(am__uninstall_files_from_dir)
1190 install-libsciio_la_rootDATA: $(libsciio_la_root_DATA)
1191         @$(NORMAL_INSTALL)
1192         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
1193         if test -n "$$list"; then \
1194           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_rootdir)'"; \
1195           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_rootdir)" || exit 1; \
1196         fi; \
1197         for p in $$list; do \
1198           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1199           echo "$$d$$p"; \
1200         done | $(am__base_list) | \
1201         while read files; do \
1202           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_rootdir)'"; \
1203           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_rootdir)" || exit $$?; \
1204         done
1205
1206 uninstall-libsciio_la_rootDATA:
1207         @$(NORMAL_UNINSTALL)
1208         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
1209         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1210         dir='$(DESTDIR)$(libsciio_la_rootdir)'; $(am__uninstall_files_from_dir)
1211 install-libsciio_la_sci_gatewayDATA: $(libsciio_la_sci_gateway_DATA)
1212         @$(NORMAL_INSTALL)
1213         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
1214         if test -n "$$list"; then \
1215           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
1216           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit 1; \
1217         fi; \
1218         for p in $$list; do \
1219           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1220           echo "$$d$$p"; \
1221         done | $(am__base_list) | \
1222         while read files; do \
1223           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
1224           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit $$?; \
1225         done
1226
1227 uninstall-libsciio_la_sci_gatewayDATA:
1228         @$(NORMAL_UNINSTALL)
1229         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
1230         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1231         dir='$(DESTDIR)$(libsciio_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1232
1233 ID: $(am__tagged_files)
1234         $(am__define_uniq_tagged_files); mkid -fID $$unique
1235 tags: tags-am
1236 TAGS: tags
1237
1238 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1239         set x; \
1240         here=`pwd`; \
1241         $(am__define_uniq_tagged_files); \
1242         shift; \
1243         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1244           test -n "$$unique" || unique=$$empty_fix; \
1245           if test $$# -gt 0; then \
1246             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1247               "$$@" $$unique; \
1248           else \
1249             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1250               $$unique; \
1251           fi; \
1252         fi
1253 ctags: ctags-am
1254
1255 CTAGS: ctags
1256 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1257         $(am__define_uniq_tagged_files); \
1258         test -z "$(CTAGS_ARGS)$$unique" \
1259           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1260              $$unique
1261
1262 GTAGS:
1263         here=`$(am__cd) $(top_builddir) && pwd` \
1264           && $(am__cd) $(top_srcdir) \
1265           && gtags -i $(GTAGS_ARGS) "$$here"
1266 cscopelist: cscopelist-am
1267
1268 cscopelist-am: $(am__tagged_files)
1269         list='$(am__tagged_files)'; \
1270         case "$(srcdir)" in \
1271           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1272           *) sdir=$(subdir)/$(srcdir) ;; \
1273         esac; \
1274         for i in $$list; do \
1275           if test -f "$$i"; then \
1276             echo "$(subdir)/$$i"; \
1277           else \
1278             echo "$$sdir/$$i"; \
1279           fi; \
1280         done >> $(top_builddir)/cscope.files
1281
1282 distclean-tags:
1283         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1284
1285 distdir: $(DISTFILES)
1286         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1287         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1288         list='$(DISTFILES)'; \
1289           dist_files=`for file in $$list; do echo $$file; done | \
1290           sed -e "s|^$$srcdirstrip/||;t" \
1291               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1292         case $$dist_files in \
1293           */*) $(MKDIR_P) `echo "$$dist_files" | \
1294                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1295                            sort -u` ;; \
1296         esac; \
1297         for file in $$dist_files; do \
1298           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1299           if test -d $$d/$$file; then \
1300             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1301             if test -d "$(distdir)/$$file"; then \
1302               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1303             fi; \
1304             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1305               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1306               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1307             fi; \
1308             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1309           else \
1310             test -f "$(distdir)/$$file" \
1311             || cp -p $$d/$$file "$(distdir)/$$file" \
1312             || exit 1; \
1313           fi; \
1314         done
1315 check-am: all-am
1316         $(MAKE) $(AM_MAKEFLAGS) check-local
1317 check: check-am
1318 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1319 installdirs:
1320         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciio_la_etcdir)" "$(DESTDIR)$(libsciio_la_rootdir)" "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"; do \
1321           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1322         done
1323 install: install-am
1324 install-exec: install-exec-am
1325 install-data: install-data-am
1326 uninstall: uninstall-am
1327
1328 install-am: all-am
1329         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1330
1331 installcheck: installcheck-am
1332 install-strip:
1333         if test -z '$(STRIP)'; then \
1334           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1335             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1336               install; \
1337         else \
1338           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1339             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1340             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1341         fi
1342 mostlyclean-generic:
1343
1344 clean-generic:
1345
1346 distclean-generic:
1347         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1348         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1349         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1350         -rm -f sci_gateway/c/$(am__dirstamp)
1351         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1352         -rm -f sci_gateway/cpp/$(am__dirstamp)
1353         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1354         -rm -f src/c/$(am__dirstamp)
1355         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1356         -rm -f src/cpp/$(am__dirstamp)
1357
1358 maintainer-clean-generic:
1359         @echo "This command is intended for maintainers to use"
1360         @echo "it deletes files that may require special tools to rebuild."
1361 clean: clean-am
1362
1363 clean-am: clean-generic clean-libtool clean-local \
1364         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1365
1366 distclean: distclean-am
1367         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR)
1368         -rm -f Makefile
1369 distclean-am: clean-am distclean-compile distclean-generic \
1370         distclean-local distclean-tags
1371
1372 dvi: dvi-am
1373
1374 dvi-am:
1375
1376 html: html-am
1377
1378 html-am:
1379
1380 info: info-am
1381
1382 info-am:
1383
1384 install-data-am: install-data-local install-libsciio_la_etcDATA \
1385         install-libsciio_la_rootDATA \
1386         install-libsciio_la_sci_gatewayDATA
1387
1388 install-dvi: install-dvi-am
1389
1390 install-dvi-am:
1391
1392 install-exec-am: install-pkglibLTLIBRARIES
1393
1394 install-html: install-html-am
1395
1396 install-html-am: install-html-local
1397
1398 install-info: install-info-am
1399
1400 install-info-am:
1401
1402 install-man:
1403
1404 install-pdf: install-pdf-am
1405
1406 install-pdf-am:
1407
1408 install-ps: install-ps-am
1409
1410 install-ps-am:
1411
1412 installcheck-am:
1413
1414 maintainer-clean: maintainer-clean-am
1415         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR)
1416         -rm -f Makefile
1417 maintainer-clean-am: distclean-am maintainer-clean-generic
1418
1419 mostlyclean: mostlyclean-am
1420
1421 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1422         mostlyclean-libtool
1423
1424 pdf: pdf-am
1425
1426 pdf-am:
1427
1428 ps: ps-am
1429
1430 ps-am:
1431
1432 uninstall-am: uninstall-libsciio_la_etcDATA \
1433         uninstall-libsciio_la_rootDATA \
1434         uninstall-libsciio_la_sci_gatewayDATA \
1435         uninstall-pkglibLTLIBRARIES
1436
1437 .MAKE: check-am install-am install-strip
1438
1439 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1440         check-local clean clean-generic clean-libtool clean-local \
1441         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1442         ctags ctags-am distclean distclean-compile distclean-generic \
1443         distclean-libtool distclean-local distclean-tags distdir dvi \
1444         dvi-am html html-am info info-am install install-am \
1445         install-data install-data-am install-data-local install-dvi \
1446         install-dvi-am install-exec install-exec-am install-html \
1447         install-html-am install-html-local install-info \
1448         install-info-am install-libsciio_la_etcDATA \
1449         install-libsciio_la_rootDATA \
1450         install-libsciio_la_sci_gatewayDATA install-man install-pdf \
1451         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1452         install-ps-am install-strip installcheck installcheck-am \
1453         installdirs maintainer-clean maintainer-clean-generic \
1454         mostlyclean mostlyclean-compile mostlyclean-generic \
1455         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1456         uninstall-am uninstall-libsciio_la_etcDATA \
1457         uninstall-libsciio_la_rootDATA \
1458         uninstall-libsciio_la_sci_gatewayDATA \
1459         uninstall-pkglibLTLIBRARIES
1460
1461 .PRECIOUS: Makefile
1462
1463
1464 # This target enables tests for Scilab
1465 check-local: $(top_builddir)/scilab-bin test
1466         if test -d $(mydatadir)/tests; then \
1467           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1468         fi
1469 check-code:
1470         if test -f build.xml; then \
1471                 $(ANT) checkstyle; \
1472         fi
1473         if test -x "$(SPLINT)"; then \
1474                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1475         fi
1476 @NEED_JAVA_TRUE@java:
1477 # Some configurations needs to export JAVA_HOME in the current env
1478 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1479 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1480 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1481 @NEED_JAVA_TRUE@                $(ANT); \
1482 @NEED_JAVA_TRUE@        fi
1483
1484 @NEED_JAVA_TRUE@clean-java:
1485 # Some configurations needs to export JAVA_HOME in the current env
1486 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1487 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1488 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1489 @NEED_JAVA_TRUE@                $(ANT) clean; \
1490 @NEED_JAVA_TRUE@        fi;
1491
1492 # If the user request for the SWIG generation of the wrappers Java => C/C++
1493 # We call the target swig-build on the variable SWIG_WRAPPERS
1494
1495 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1496 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1497 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1498 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1499 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1500 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1501 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1502 @SWIG_TRUE@             done; \
1503 @SWIG_TRUE@     fi
1504
1505 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1506 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1507 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1508 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1509 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1510 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1511 @SWIG_TRUE@             done; \
1512 @SWIG_TRUE@     fi
1513
1514 # If the user request for the SWIG generation of the wrappers Java => C/C++
1515 # We call the target swig-build on the variable SWIG_WRAPPERS
1516
1517 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1518 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1519 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1520 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1521 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1522 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1523 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1524 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1525 @GIWS_TRUE@                     else \
1526 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1527 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1528 @GIWS_TRUE@                     fi \
1529 @GIWS_TRUE@             done; \
1530 @GIWS_TRUE@     fi
1531
1532 @GIWS_TRUE@giws-exception:
1533 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1534 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1535 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1536
1537 macros:
1538         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1539                 echo "Error : Cannot build $< : Scilab has not been built"; \
1540         else \
1541                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1542         fi)
1543
1544 # Removes the macros
1545 clean-macros:
1546 # Removes macros (*.bin generated from .sci)
1547         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1548                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1549                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1550         done
1551
1552 test:
1553 # More tests could be added here
1554         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1555         if test -f build.xml -a $$USEANT -eq 1; then \
1556                 $(ANT) test; \
1557         fi
1558
1559 all-local: $(TARGETS_ALL)
1560
1561 .sci.bin:
1562         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1563         echo "Error : Cannot build $< : Scilab has not been build"; \
1564         else \
1565         echo "Creating $@"; \
1566         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1567         fi )
1568
1569 install-html-local:
1570
1571 install-data-local-local:
1572 # Mainly for javasci
1573         @if test -d $(srcdir)/javadoc; then \
1574                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1575         fi
1576 # If the user wants the help sources to be installed
1577 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1578 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1579 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1580 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1581 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1582 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1583 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1584 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1585 @INSTALL_HELP_XML_TRUE@           done ; \
1586 @INSTALL_HELP_XML_TRUE@         fi; \
1587 @INSTALL_HELP_XML_TRUE@  fi; \
1588 @INSTALL_HELP_XML_TRUE@ done; \
1589 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1590 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1591 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1592 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1593 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1594 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1595 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1596 @INSTALL_HELP_XML_TRUE@           done ; \
1597 @INSTALL_HELP_XML_TRUE@         fi; \
1598 @INSTALL_HELP_XML_TRUE@ fi
1599 install-data-local:
1600 # Install the tests
1601         @echo "-------- Install tests (if any) --------"; \
1602         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1603           if test -d $(srcdir)/$$dir/; then \
1604             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1605                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1606                     if test -d "$(srcdir)/$$dir/$$file"; then \
1607                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1608                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1609                     else \
1610                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1611                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1612                     fi \
1613                   done; \
1614           fi; \
1615         done
1616 # Install the help chapter
1617         @echo "-------- Install the help chapter (if any) --------"; \
1618         for lang in $(HELP_CHAPTERLANG); do \
1619                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1620                 if test -f $$HELPFILE; then \
1621                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1622                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1623                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1624                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1625                 fi; \
1626         done
1627 # Install the demos & examples
1628         @echo "-------- Install demos & examples (if any) --------"; \
1629         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1630           if test -d $(srcdir)/$$dir/; then \
1631             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1632                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1633                     if test -d "$(srcdir)/$$dir/$$file"; then \
1634                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1635                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1636                     else \
1637                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1638                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1639                     fi \
1640                   done; \
1641           fi; \
1642         done
1643 # Install the macros
1644         @echo "-------- Install macros (if any) --------"; \
1645         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1646           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1647                 if test -d $(srcdir)/$$dir/; then \
1648                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1649                         if test -n "$(MACROSSPECIALEXT)"; then \
1650                                 specialExtDir=""; \
1651                                 for specialExt in $(MACROSSPECIALEXT); do \
1652                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1653                                 done; \
1654                                 FILELIST="$$FILELIST $$specialExtDir"; \
1655                         fi; \
1656                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1657                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1658                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1659                   done; \
1660                 fi; \
1661         done
1662 # Install java files (.jar)
1663         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1664         echo "-------- Install jar files --------"; \
1665     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1666           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1667                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1668                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1669           done ; \
1670         fi
1671
1672 ########### CLEAN ###################
1673 # Clean help (generated automatically by Scilab)
1674 # It used to clean the macro (clean-macros) but this was causing
1675 # make clean && make to fail Scilab startup
1676 @NEED_JAVA_TRUE@clean-local: clean-java
1677 @NEED_JAVA_FALSE@clean-local:
1678
1679 distclean-local:
1680         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1681
1682 .PHONY: macros java swig giws
1683
1684 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1685 # Otherwise a system limit (for SysV at least) may be exceeded.
1686 .NOEXPORT: